Bug 759809 - [abrt] gstreamer-0.10.35-1.fc16: __GI_raise: Process /usr/libexec/gstreamer-0.10/gst-plugin-scanner was killed by signal 6 (SIGABRT)
Summary: [abrt] gstreamer-0.10.35-1.fc16: __GI_raise: Process /usr/libexec/gstreamer-0...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: orc
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Schleef
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b94eac4f626d0437c287d0bff35...
: 755116 757953 760781 761304 761648 765621 766047 766049 767971 768590 768682 770120 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-03 23:35 UTC by Christoph Wickert
Modified: 2012-02-29 22:30 UTC (History)
14 users (show)

Fixed In Version: orc-0.4.16-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-19 01:26:19 UTC


Attachments (Terms of Use)
File: coredump (7.30 MB, text/plain)
2011-12-03 23:39 UTC, Christoph Wickert
no flags Details
File: maps (70.90 KB, text/plain)
2011-12-03 23:39 UTC, Christoph Wickert
no flags Details
File: backtrace (28.66 KB, text/plain)
2011-12-03 23:39 UTC, Christoph Wickert
no flags Details
A patch that extends the length of the directory region by one allowing the full length string to fit (890 bytes, patch)
2012-01-07 01:02 UTC, Hamish Farrant
no flags Details | Diff

Description Christoph Wickert 2011-12-03 23:35:35 UTC
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        /usr/libexec/gstreamer-0.10/gst-plugin-scanner -l
comment:        I just booted up the F16 Xfce spin and the crash appeared just after the login into the Xfce desktop.
crash_function: __GI_raise
executable:     /usr/libexec/gstreamer-0.10/gst-plugin-scanner
kernel:         3.1.0-7.fc16.x86_64
reason:         Process /usr/libexec/gstreamer-0.10/gst-plugin-scanner was killed by signal 6 (SIGABRT)
time:           Sat Dec  3 17:04:07 2011
uid:            1000
username:       liveuser
var_log_messages: Dec  3 17:04:07 localhost abrt[1407]: saved core dump of pid 1402 (/usr/libexec/gstreamer-0.10/gst-plugin-scanner) to /var/spool/abrt/ccpp-2011-12-03-17:04:07-1402 (7651328 bytes)

backtrace:      Text file, 29350 bytes
maps:           Text file, 72603 bytes

dso_list:
:/usr/libexec/gstreamer-0.10/gst-plugin-scanner gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287370
:/lib64/libm-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287354
:/usr/lib64/gstreamer-0.10/libgstjp2kdecimator.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstaiff.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstsegmentclip.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1320287357
:/lib64/libgio-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1320287359
:/usr/lib64/gstreamer-0.10/libgstdtmf.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstid3tag.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libgstreamer-0.10.so.0.29.0 gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287370
:/usr/lib64/libgstsdp-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/gstreamer-0.10/libgstisomp4.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/libkate.so.1.2.1 libkate-0.3.8-3.fc16.x86_64 (Fedora Project) 1320287397
:/usr/lib64/gstreamer-0.10/libgsttheora.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.x86_64 (Fedora Project) 1320287357
:/usr/lib64/gstreamer-0.10/libgstvideofiltersbad.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgsttypefindfunctions.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/libv4lconvert.so.0 libv4l-0.8.5-1.fc16.x86_64 (Fedora Project) 1320287363
:/usr/lib64/libfftw3.so.3.3.0 fftw-libs-3.3-3.fc16.x86_64 (Fedora Project) 1320287369
:/usr/lib64/libtag.so.1.7.0 taglib-1.7-1.fc16.x86_64 (Fedora Project) 1320287363
:/usr/lib64/gstreamer-0.10/libgstalsa.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/liborc-0.4.so.0.16.0 orc-0.4.16-4.fc16.x86_64 (Fedora Project) 1320287363
:/lib64/libasound.so.2.0.0 alsa-lib-1.0.24-2.fc15.x86_64 (Fedora Project) 1320287377
:/usr/lib64/gstreamer-0.10/libgstrtp.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/librom1394.so.0.3.0 libavc1394-0.5.3-10.fc15.x86_64 (Fedora Project) 1320287364
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1320287356
:/usr/lib64/gstreamer-0.10/libgstcdxaparse.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libofa.so.0.0.0 libofa-0.9.3-17.fc15.x86_64 (Fedora Project) 1320287369
:/usr/lib64/gstreamer-0.10/libgstcdparanoia.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/libgstcontroller-0.10.so.0.29.0 gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287370
:/usr/lib64/gstreamer-0.10/libgstogg.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/lib64/ld-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287354
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1320287358
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-1.fc16.x86_64 (Fedora Project) 1320287357
:/usr/lib64/gstreamer-0.10/libgstsubenc.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libcdda_interface.so.0.10.2 cdparanoia-libs-10.2-10.fc15.x86_64 (Fedora Project) 1320287366
:/lib64/libgthread-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1320287359
:/usr/lib/locale/locale-archive glibc-common-2.14.90-14.x86_64 (Fedora Project) 1320287353
:/usr/lib64/gstreamer-0.10/libgstpcapparse.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstautoconvert.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstannodex.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libfsrtcpfilter.so farsight2-0.0.31-1.fc16.x86_64 (Fedora Project) 1320287439
:/lib64/libutil-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287354
:/usr/lib64/libtheoraenc.so.1.1.2 libtheora-1:1.1.1-1.fc15.x86_64 (Fedora Project) 1320287363
:/usr/lib64/gstreamer-0.10/libgstgaudieffects.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstlibvisual.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/gstreamer-0.10/libgstinvtelecine.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libass.so.4.1.0 libass-0.9.12-1.fc16.x86_64 (Fedora Project) 1320287397
:/usr/lib64/libgstfft-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/gstreamer-0.10/libfsrtpconference.so farsight2-0.0.31-1.fc16.x86_64 (Fedora Project) 1320287439
:/usr/lib64/gstreamer-0.10/libgstaudioresample.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1320287363
:/usr/lib64/libgstaudio-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/libgstapp-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/gstreamer-0.10/libgstalphacolor.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstlegacyresample.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstudp.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstlevel.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/libv4l2.so.0 libv4l-0.8.5-1.fc16.x86_64 (Fedora Project) 1320287363
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1320287374
:/usr/lib64/gstreamer-0.10/libgstautodetect.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstmulaw.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgsthdvparse.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libavc1394.so.0.3.0 libavc1394-0.5.3-10.fc15.x86_64 (Fedora Project) 1320287364
:/usr/lib64/libgstbase-0.10.so.0.29.0 gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287370
:/usr/lib64/libgstinterfaces-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/gstreamer-0.10/libgstcutter.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/lib64/librt-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287354
:/usr/lib64/gstreamer-0.10/libgsttaglib.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstximagesink.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1320287358
:/usr/lib64/gstreamer-0.10/libgstcoloreffects.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstwavpack.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstscaletempoplugin.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libsoup-gnome-2.4.so.1.4.0 libsoup-2.36.1-2.fc16.x86_64 (Fedora Project) 1320287373
:/usr/lib64/gstreamer-0.10/libgsth264parse.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstossaudio.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/libgsttag-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/gstreamer-0.10/libgstkate.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.2-5.2.fc16.x86_64 (Fedora Project) 1320287377
:/usr/lib64/gstreamer-0.10/libgsticydemux.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstvideomaxrate.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstdv.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstefence.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/libsoup-2.4.so.1.4.0 libsoup-2.36.1-2.fc16.x86_64 (Fedora Project) 1320287373
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1320287357
:/usr/lib64/gstreamer-0.10/libgstsouphttpsrc.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.7.1-1.fc16.x86_64 (Fedora Project) 1320287357
:/usr/lib64/libgstsignalprocessor-0.10.so.0.0.0 gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstgeometrictransform.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstfrei0r.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/liborc-test-0.4.so.0.16.0 orc-0.4.16-4.fc16.x86_64 (Fedora Project) 1320287363
:/usr/lib64/libgstnetbuffer-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/gstreamer-0.10/libgstspectrum.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/libenca.so.0.5.1 enca-1.13-2.fc15.x86_64 (Fedora Project) 1320287397
:/usr/lib64/gstreamer-0.10/libgstcoreindexers.so gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287370
:/lib64/libusb-1.0.so.0.1.0 libusb1-1.0.9-0.3.rc1.fc16.x86_64 (Fedora Project) 1320287357
:/lib64/libpthread-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287354
:/usr/lib64/gstreamer-0.10/libgstjp2k.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstvideotestsrc.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1320287358
:/lib64/libgobject-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1320287359
:/usr/lib64/gstreamer-0.10/libgstjpeg.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/libiec61883.so.0.1.1 libiec61883-1.2.0-6.fc15.x86_64 (Fedora Project) 1320287363
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1320287358
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1320287356
:/usr/lib64/gstreamer-0.10/libgstmultifile.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstshapewipe.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstvideobox.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/lib64/libdl-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287354
:/usr/lib64/gstreamer-0.10/libgsttta.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1320287356
:/usr/lib64/libgstbasevideo-0.10.so.0.0.0 gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstgdkpixbuf.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstpython.so gstreamer-python-0.10.19-2.fc15.x86_64 (Fedora Project) 1320287404
:/usr/lib64/libdv.so.4.0.3 libdv-1.0.0-11.fc16.x86_64 (Fedora Project) 1320287397
:/usr/lib64/gstreamer-0.10/libgstapp.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.2-1.fc16.x86_64 (Fedora Project) 1320287356
:/usr/lib64/gstreamer-0.10/libgstivfparse.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libfsmsnconference.so farsight2-0.0.31-1.fc16.x86_64 (Fedora Project) 1320287439
:/usr/lib64/libgstfarsight-0.10.so.0.9.1 farsight2-0.0.31-1.fc16.x86_64 (Fedora Project) 1320287439
:/usr/lib64/libgstrtp-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1320287358
:/usr/lib64/gstreamer-0.10/libgstpnm.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libvisual-0.4.so.0.0.0 libvisual-0.4.0-10.fc15.x86_64 (Fedora Project) 1320287397
:/usr/lib64/libjasper.so.1.0.0 jasper-libs-1.900.1-17.fc15.x86_64 (Fedora Project) 1320287363
:/usr/lib64/gstreamer-0.10/libgstfieldanalysis.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libgnome-keyring.so.0.1.1 libgnome-keyring-3.2.0-1.fc16.x86_64 (Fedora Project) 1320287360
:/usr/lib64/gstreamer-0.10/libgstvorbis.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/gstreamer-0.10/libgstladspa.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgst1394.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/libgstcdda-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/gstreamer-0.10/libgstdataurisrc.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libgstvideo-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1320287359
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1320287357
:/usr/lib64/gstreamer-0.10/libgstvideo4linux2.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstsdpelem.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libwavpack.so.1.1.4 wavpack-4.60.1-2.fc15.x86_64 (Fedora Project) 1320287397
:/usr/lib64/libdc1394.so.22.1.4 libdc1394-2.1.2-3.fc12.x86_64 (Fedora Project) 1320287371
:/usr/lib64/gstreamer-0.10/libgsty4menc.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/libgstriff-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1320287357
:/usr/lib64/gstreamer-0.10/libgstrfbsrc.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/lib64/libglib-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1320287359
:/usr/lib64/libcdda_paranoia.so.0.10.2 cdparanoia-libs-10.2-10.fc15.x86_64 (Fedora Project) 1320287366
:/usr/lib64/libraw1394.so.11.0.1 libraw1394-2.0.7-1.fc15.x86_64 (Fedora Project) 1320287358
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1320287358
:/lib64/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.x86_64 (Fedora Project) 1320287347
:/usr/lib64/gstreamer-0.10/libgstsdi.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstdvb.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstjpegformat.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstasfmux.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstaudiorate.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/usr/lib64/gstreamer-0.10/libgstassrender.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstfragmented.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/lib64/libresolv-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287354
:/lib64/libc-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287354
:/usr/lib64/gstreamer-0.10/libgstshm.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-3.fc16.x86_64 (Fedora Project) 1320287356
:/usr/lib64/libtheoradec.so.1.1.4 libtheora-1:1.1.1-1.fc15.x86_64 (Fedora Project) 1320287363
:/usr/lib64/gstreamer-0.10/libgstcoreelements.so gstreamer-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287370
:/usr/lib64/gstreamer-0.10/libgstofa.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/lib64/libselinux.so.1 libselinux-2.1.5-5.1.fc16.x86_64 (Fedora Project) 1320287356
:/lib64/libgmodule-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1320287359
:/usr/lib64/gstreamer-0.10/libgstaudioconvert.so gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320287354
:/usr/lib64/libgstpbutils-0.10.so.0.24.0 gstreamer-plugins-base-0.10.35-1.fc16.x86_64 (Fedora Project) 1320287400
:/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.x86_64 (Fedora Project) 1320287357
:/usr/lib64/gstreamer-0.10/libgstcairo.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstvideomixer.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/gstreamer-0.10/libgstspeed.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstdc1394.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405
:/usr/lib64/gstreamer-0.10/libgstflxdec.so gstreamer-plugins-good-0.10.30-2.fc16.x86_64 (Fedora Project) 1320287421
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1320287376
:/usr/lib64/gstreamer-0.10/libgstnuvdemux.so gstreamer-plugins-bad-free-0.10.22-2.fc16.1.x86_64 (Fedora Project) 1320287405

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1213
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/liveuser/.gnupg/S.gpg-agent:1234:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=11a59b01d8cb19e1a92cf85e0000000e-1322949822.290847-195709636
:IMSETTINGS_MODULE=none
:USER=liveuser
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-aGOClzqM1096/agent.1096
:USERNAME=liveuser
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/liveuser
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/liveuser/.local/bin:/home/liveuser/bin
:QT_IM_MODULE=xim
:PWD=/home/liveuser
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/liveuser
:LOGNAME=liveuser
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-o9ofEaI2Tu,guid=5c7ffce0ec8732ba96d09cd80000001e
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/liveuser
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-liveuser-MMYh4G/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1243,unix/unix:/tmp/.ICE-unix/1243

event_log:
:2011-12-03-17:05:59> Querying server settings
:2011-12-03-17:06:02  Preparing an archive to upload
:2011-12-03-17:06:04  Uploading 856816 bytes
:2011-12-03-17:06:15  Uploading 91%
:2011-12-03-17:06:15  Upload successful
:2011-12-03-17:06:23  Retrace job started
:2011-12-03-17:06:40  Initializing virtual root
:2011-12-03-17:06:57  Initializing virtual root
:2011-12-03-17:07:13  Initializing virtual root
:2011-12-03-17:07:26  Initializing virtual root
:2011-12-03-17:07:40  Initializing virtual root
:2011-12-03-17:07:58  Initializing virtual root
:2011-12-03-17:08:13  Initializing virtual root
:2011-12-03-17:08:32  Initializing virtual root
:2011-12-03-17:08:49  Initializing virtual root
:2011-12-03-17:09:04  Initializing virtual root
:2011-12-03-17:09:17  Initializing virtual root
:2011-12-03-17:09:31  Initializing virtual root
:2011-12-03-17:09:49  Initializing virtual root
:2011-12-03-17:10:05  Initializing virtual root
:2011-12-03-17:10:19  Initializing virtual root
:2011-12-03-17:10:34  Initializing virtual root
:2011-12-03-17:10:46  Generating backtrace
:2011-12-03-17:11:01  Retrace job finished successfully
:2011-12-03-18:30:04> Element 'xsession_errors' saved

xsession_errors:
:*** buffer overflow detected ***: /usr/libexec/gstreamer-0.10/gst-plugin-scanner terminated
:/usr/libexec/gstreamer-0.10/gst-plugin-scanner[0x40074f]
:/usr/libexec/gstreamer-0.10/gst-plugin-scanner[0x400785]
:00400000-00401000 r-xp 00000000 fd:00 9636                               /usr/libexec/gstreamer-0.10/gst-plugin-scanner
:00600000-00601000 rw-p 00000000 fd:00 9636                               /usr/libexec/gstreamer-0.10/gst-plugin-scanner

Comment 1 Christoph Wickert 2011-12-03 23:39:23 UTC
Created attachment 540170 [details]
File: coredump

Comment 2 Christoph Wickert 2011-12-03 23:39:29 UTC
Created attachment 540171 [details]
File: maps

Comment 3 Christoph Wickert 2011-12-03 23:39:31 UTC
Created attachment 540172 [details]
File: backtrace

Comment 4 Benjamin Otte 2011-12-09 03:34:53 UTC
*** Bug 761304 has been marked as a duplicate of this bug. ***

Comment 5 Benjamin Otte 2011-12-09 03:35:13 UTC
*** Bug 760781 has been marked as a duplicate of this bug. ***

Comment 6 Benjamin Otte 2011-12-09 03:40:12 UTC
This seems to be a memory corruption bug in liboil. I've tracked it down with the liboil maintainer and he is working on a fix.

Comment 7 Benjamin Otte 2011-12-09 04:00:10 UTC
*** Bug 755116 has been marked as a duplicate of this bug. ***

Comment 8 Benjamin Otte 2011-12-15 16:26:05 UTC
*** Bug 767971 has been marked as a duplicate of this bug. ***

Comment 9 Benjamin Otte 2011-12-15 16:30:58 UTC
*** Bug 766049 has been marked as a duplicate of this bug. ***

Comment 10 Benjamin Otte 2011-12-15 16:31:05 UTC
*** Bug 766047 has been marked as a duplicate of this bug. ***

Comment 11 Mike C 2011-12-23 20:03:33 UTC
I have been seeing this every login for a while now in f16 - I haven't seen any liboil (referring to comment #6) builds in koji - is there a chance of a fixed liboil in the near future?

Thanks

Comment 12 Hamish Farrant 2012-01-07 01:02:53 UTC
Created attachment 551311 [details]
A patch that extends the length of the directory region by one allowing the full length string to fit

Comment 13 Fabian Deutsch 2012-01-07 19:23:54 UTC
I did not yet run into this bug myself, but maybe this bug is similar:
https://bugzilla.redhat.com/show_bug.cgi?id=770602

I've also pushed an updated orc to rawhide, you might try it and see if the bug still appears.

Comment 14 Mike C 2012-01-07 20:28:24 UTC
I will be happy to try the orc package as soon as I can get the rpm.

Comment 15 Fabian Deutsch 2012-01-07 21:26:35 UTC
You should be able to update to that rpm using the rawhide repo:
$ sudo yum update --enablerepo=rawhide orc

Comment 16 Mike C 2012-01-07 21:47:52 UTC
I did so and got orc-0.4.16-4.fc17.i686 but this does not look like a very recent build?  Maybe the mirrors have yet to sync? Anyway this version of orc does not fix the issue... what is the version number of the orc package that I should be looking for?

In koji the latest build seems to be from 10th November 2011...  when was the new package with the patch built?

Thanks for further info.

Comment 17 Fabian Deutsch 2012-01-07 22:59:01 UTC
I didn't bump the spec version :-/ This is fixed now, 0.4.16-5 is in the works now:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3628151

Comment 18 Mike C 2012-01-08 15:53:33 UTC
Absolutely fantastic -

orc-0.4.16-5.fc17.i686 fixes this issue for me - I would appreciate a build for f16 too.

Thank you very much.

Comment 19 Fabian Deutsch 2012-01-08 16:08:38 UTC
Cool that it fixes your issue. I just merged it into F16 and invoked a built, let's see if it goes through updates-testing.

Thanks for testing it mike.

Comment 20 Mike C 2012-01-08 16:16:43 UTC
Wonderful, Fabian, and thank you for responding so quickly - and on a Sunday too!
I see the build now building on koji.  I will comment on bodhi for you once it appears there for updates testing. Thanks again.

Comment 21 Mike C 2012-01-08 17:17:59 UTC
Final comment - I yum downgraded and then upgraded to the f16 package for the fixed orc and this bug remains fixed for me. Now using orc-0.4.16-5.fc16.i686

Comment 22 Fedora Update System 2012-01-08 19:17:49 UTC
orc-0.4.16-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/orc-0.4.16-5.fc16

Comment 23 Fedora Update System 2012-01-08 19:53:15 UTC
orc-0.4.16-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/orc-0.4.16-5.fc15

Comment 24 Kevin Fenzi 2012-01-10 03:02:57 UTC
*** Bug 757953 has been marked as a duplicate of this bug. ***

Comment 25 Fedora Update System 2012-01-11 06:09:05 UTC
Package orc-0.4.16-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing orc-0.4.16-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0327/orc-0.4.16-5.fc15
then log in and leave karma (feedback).

Comment 26 Garve 2012-01-16 11:32:10 UTC
Hi!

I activated the testing-repository and installed the new orc. The error messages are gone and totem can play videos again. But Rhytmbox still crashes and both programs always look for a 'G-Streamer element audioconvert'. But I can't find it anywhere in the repositories.

Comment 27 Fabian Deutsch 2012-01-16 11:57:05 UTC
(In reply to comment #26)
> Hi!
> 
> I activated the testing-repository and installed the new orc. The error
> messages are gone and totem can play videos again. 

Nice those problems are gone for now.

> But Rhytmbox still crashes
> and both programs always look for a 'G-Streamer element audioconvert'. But I
> can't find it anywhere in the repositories.

That's weird that rhythmbox os looking for that element. It should be part of every gstreamer installation aka part of gstreamer-plugins-base.
Can you give more informations about the error?

Comment 28 Garve 2012-01-17 17:14:02 UTC
If I want to start Rhymthbox, everything is fine. Only when I want to start an audio file the dialog appears (and it won't play the file). It offers me to search for the plugin, but it's never found.

Terminal output:

(rhythmbox:1847): GStreamer-CRITICAL **: gst_bin_add_many: assertion `GST_IS_ELEMENT (element_1)' failed

(rhythmbox:1847): GStreamer-CRITICAL **: gst_element_link_pads_full: assertion `GST_IS_ELEMENT (src)' failed

(rhythmbox:1847): GStreamer-CRITICAL **: gst_element_get_static_pad: assertion `GST_IS_ELEMENT (element)' failed

(rhythmbox:1847): GStreamer-CRITICAL **: gst_ghost_pad_new: assertion `GST_IS_PAD (target)' failed

(rhythmbox:1847): GStreamer-CRITICAL **: gst_element_add_pad: assertion `GST_IS_PAD (pad)' failed

(rhythmbox:1847): GStreamer-CRITICAL **: gst_object_unref: assertion `object != NULL' failed

(rhythmbox:1847): GStreamer-CRITICAL **: gst_ghost_pad_new: assertion `GST_IS_PAD (target)' failed

(rhythmbox:1847): GStreamer-CRITICAL **: gst_element_add_pad: assertion `GST_IS_PAD (pad)' failed

(rhythmbox:1847): GStreamer-CRITICAL **: gst_object_unref: assertion `object != NULL' failed
Rhythmbox-Message: Missing plugin: gstreamer|0.10|rhythmbox|GStreamer-Element audioconvert|element-audioconvert
** Message: PackageKit: xid = 37748739
** Message: PackageKit: Codec nice name: GStreamer-Element audioconvert
** Message: PackageKit: structure: gstreamer0.10(element-audioconvert)
** Message: PackageKit: Did not install codec: failed to find codec
Rhythmbox-Message: No installation candidate for missing plugins found.

Comment 29 Fabian Deutsch 2012-01-17 18:41:23 UTC
And what kind of file do you want to play?

Comment 30 Garve 2012-01-17 19:08:49 UTC
MP3 and OGG, nothing works (Rhythmbox).
But Totem plays the videos after cancelling the search for this audioconvert plugin.

Comment 31 Fabian Deutsch 2012-01-17 19:13:40 UTC
Okay, I actually don't know if this is still an orc problem. 
Seems to be more general. You might ask in irc.freenode #fedora

I might reassign it, but I actually can't do it right now.

Comment 32 Fedora Update System 2012-01-19 01:26:19 UTC
orc-0.4.16-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 33 Yann Droneaud 2012-01-26 13:51:34 UTC
(In reply to comment #30)
> MP3 and OGG, nothing works (Rhythmbox).
> But Totem plays the videos after cancelling the search for this audioconvert
> plugin.

You should do rm $HOME/.gstreamer-0.10/registry.x86_64.bin after installing the updated orc package. See comments on bug 770602

Comment 34 Garve 2012-01-26 21:18:50 UTC
Hello, Yann!

It worked, thank you! Playing Videos and Music works flawlessly again. And no more dialogs about audioconvert. Great!

Comment 35 Fedora Update System 2012-01-29 19:56:41 UTC
orc-0.4.16-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Benjamin Otte 2012-02-29 22:26:22 UTC
*** Bug 761648 has been marked as a duplicate of this bug. ***

Comment 37 Benjamin Otte 2012-02-29 22:26:54 UTC
*** Bug 765621 has been marked as a duplicate of this bug. ***

Comment 38 Benjamin Otte 2012-02-29 22:28:25 UTC
*** Bug 768590 has been marked as a duplicate of this bug. ***

Comment 39 Benjamin Otte 2012-02-29 22:30:38 UTC
*** Bug 768682 has been marked as a duplicate of this bug. ***

Comment 40 Benjamin Otte 2012-02-29 22:30:46 UTC
*** Bug 770120 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.